<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab1"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;">EDITAR CITA</h1>
      </ion-col>
      <ion-col size="2">
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>
<ion-row class="pad ion-margin-top">
      <ion-col size="12" class="ion-text-left">
        <ion-label *ngIf="idSucuObraM !== '0'" color="primary">Cliente/Empresa</ion-label>
        <ion-label *ngIf="idSucuObraM === '0'" color="primary">Prospecto</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3">
          <ng-container *ngFor="let datos of empresasinfo">
            <ion-label>{{datos.Nombre_Empresa}}</ion-label>
          </ng-container>
      </ion-col>
      <ion-col size="12" class="ion-text-left" *ngIf="idSucuObraM !== '0'">
        <ion-label color="primary">Sucursal/Obra</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3" *ngIf="idSucuObraM !== '0'">
        <ion-select okText="Aceptar" cancelText="Cancelar" placeholder="selecciona una sucursal" *ngIf="prospecto === true" [(ngModel)]="idSucuObraM">
          <ion-select-option selected *ngFor="let suc of sucuO2" value="{{ suc.idSO }}" >{{suc.nombreSO}}</ion-select-option>
        </ion-select>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Dirección</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3">
        <ion-textarea disabled>{{ direccion }}</ion-textarea>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Motivo</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3">
        <ion-input [(ngModel)]="Motivo"></ion-input>
      </ion-col>

      <ion-col size="12" class="ion-text-left mt-20" style="position:relative;">
        <ion-label color="primary">Adjuntar archivo</ion-label>
        <label for="archivot" id="labelt"></label>
        <input style="height: 0px;width: 0px;" type="file" id="archivot"
              (change)="onFileChanged($event)" class="hidden" multiple="true"
              accept="audio/*,video/*,.zip,.rar,.7zip,.xlsx,.xls,image/*,.doc, .docx,.ppt, .pptx,.txt,.pdf">
    </ion-col>
    <ion-col size="12">
      <div *ngFor="let archivonom of nombredearchivos; let i = index" class="row">
          <div class="col-md-12">
              <img *ngIf="tipodearchivo[i] === 'png' || tipodearchivo[i] === 'jpg'
              || tipodearchivo[i] === 'jpeg' || tipodearchivo[i] === 'gif'
              || tipodearchivo[i] === 'bmp' || tipodearchivo[i] === 'ico'"
              src="../../../assets/img/images-outline.svg" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'doc' || tipodearchivo[i] === 'dot'
              || tipodearchivo[i] === 'docx'"
              src="../../../assets/img/word.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'xls' || tipodearchivo[i] === 'xlsx'
              || tipodearchivo[i] === 'csv' || tipodearchivo[i] === 'xlk'
              || tipodearchivo[i] === 'xlm' || tipodearchivo[i] === 'ctt'"
              src="../../../assets/img/excel.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'pps' || tipodearchivo[i] === 'ppt'
              || tipodearchivo[i] === 'pptx'"
              src="../../../assets/img/power.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'pdf'"
              src="../../../assets/img/pdf.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'zip' || tipodearchivo[i] === '7z'
              || tipodearchivo[i] === 'rar'"
              src="../../../assets/img/zip.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'mp3' || tipodearchivo[i] === 'mid'
              || tipodearchivo[i] === 'wav' || tipodearchivo[i] === 'aac'"
              src="../../../assets/img/musica.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'avi' || tipodearchivo[i] === 'mkv'
              || tipodearchivo[i] === 'flv' || tipodearchivo[i] === 'mov'
              || tipodearchivo[i] === 'wmv' || tipodearchivo[i] === 'mp4'"
              src="../../../assets/img/video.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] !== 'png' && tipodearchivo[i] !== 'jpg'
              && tipodearchivo[i] !== 'jpeg' && tipodearchivo[i] !== 'gif'
              && tipodearchivo[i] !== 'bmp' && tipodearchivo[i] !== 'ico' &&
              tipodearchivo[i] !== 'doc' && tipodearchivo[i] !== 'dot'
              && tipodearchivo[i] !== 'docx' && tipodearchivo[i] !== 'xls' && tipodearchivo[i] !== 'xlsx'
              && tipodearchivo[i] !== 'csv' && tipodearchivo[i] !== 'xlk'
              && tipodearchivo[i] !== 'xlm' && tipodearchivo[i] !== 'ctt' &&
              tipodearchivo[i] !== 'pps' && tipodearchivo[i] !== 'ppt'
              && tipodearchivo[i] !== 'pptx' && tipodearchivo[i] !== 'pdf' &&
              tipodearchivo[i] !== 'zip' && tipodearchivo[i] !== '7z'
              && tipodearchivo[i] !== 'rar' && tipodearchivo[i] !== 'mp3' && tipodearchivo[i] !== 'mid'
              && tipodearchivo[i] !== 'wav' && tipodearchivo[i] !== 'aac' &&
              tipodearchivo[i] !== 'avi' && tipodearchivo[i] !== 'mkv'
              && tipodearchivo[i] !== 'flv' && tipodearchivo[i] !== 'mov'
              && tipodearchivo[i] !== 'wmv' && tipodearchivo[i] !== 'mp4'"
              src="../../../assets/img/archivo.png" width="10x" height="10px"
              class="mr-2 imgS">

                  <label>{{archivonom}}</label><img (click)="quitararchivo(i)"
                  src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="10px" height="10px">
          </div>
      </div>
    </ion-col>
    <div class="col-md-2"></div>
    <div class="col-md-10">
      <div
        *ngFor="let archivobasedatos of arreglodearchivosbase"
        class="row"
      >
        <div class="col-md-12 d-flex align-items-center">
          <img
            *ngIf="
              archivobasedatos.formato === 'png' ||
              archivobasedatos.formato === 'jpg' ||
              archivobasedatos.formato === 'jpeg' ||
              archivobasedatos.formato === 'gif' ||
              archivobasedatos.formato === 'bmp' ||
              archivobasedatos.formato === 'ico'
            "
            src="../../../assets/img/images-outline.svg"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="
              archivobasedatos.formato === 'doc' ||
              archivobasedatos.formato === 'dot' ||
              archivobasedatos.formato === 'docx'
            "
            src="../../../assets/img/word.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="
              archivobasedatos.formato === 'xls' ||
              archivobasedatos.formato === 'xlsx' ||
              archivobasedatos.formato === 'csv' ||
              archivobasedatos.formato === 'xlk' ||
              archivobasedatos.formato === 'xlm' ||
              archivobasedatos.formato === 'ctt'
            "
            src="../../../assets/img/excel.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="
              archivobasedatos.formato === 'pps' ||
              archivobasedatos.formato === 'ppt' ||
              archivobasedatos.formato === 'pptx'
            "
            src="../../../assets/img/power.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="archivobasedatos.formato === 'pdf'"
            src="../../../assets/img/pdf.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="
              archivobasedatos.formato === 'zip' ||
              archivobasedatos.formato === '7z' ||
              archivobasedatos.formato === 'rar'
            "
            src="../../../assets/img/zip.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="
              archivobasedatos.formato === 'mp3' ||
              archivobasedatos.formato === 'mid' ||
              archivobasedatos.formato === 'wav' ||
              archivobasedatos.formato === 'aac'
            "
            src="../../../assets/img/musica.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="
              archivobasedatos.formato === 'avi' ||
              archivobasedatos.formato === 'mkv' ||
              archivobasedatos.formato === 'flv' ||
              archivobasedatos.formato === 'mov' ||
              archivobasedatos.formato === 'wmv' ||
              archivobasedatos.formato === 'mp4'
            "
            src="../../../assets/img/video.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <img
            *ngIf="
              archivobasedatos.formato !== 'png' &&
              archivobasedatos.formato !== 'jpg' &&
              archivobasedatos.formato !== 'jpeg' &&
              archivobasedatos.formato !== 'gif' &&
              archivobasedatos.formato !== 'bmp' &&
              archivobasedatos.formato !== 'ico' &&
              archivobasedatos.formato !== 'doc' &&
              archivobasedatos.formato !== 'dot' &&
              archivobasedatos.formato !== 'docx' &&
              archivobasedatos.formato !== 'xls' &&
              archivobasedatos.formato !== 'xlsx' &&
              archivobasedatos.formato !== 'csv' &&
              archivobasedatos.formato !== 'xlk' &&
              archivobasedatos.formato !== 'xlm' &&
              archivobasedatos.formato !== 'ctt' &&
              archivobasedatos.formato !== 'pps' &&
              archivobasedatos.formato !== 'ppt' &&
              archivobasedatos.formato !== 'pptx' &&
              archivobasedatos.formato !== 'pdf' &&
              archivobasedatos.formato !== 'zip' &&
              archivobasedatos.formato !== '7z' &&
              archivobasedatos.formato !== 'rar' &&
              archivobasedatos.formato !== 'mp3' &&
              archivobasedatos.formato !== 'mid' &&
              archivobasedatos.formato !== 'wav' &&
              archivobasedatos.formato !== 'aac' &&
              archivobasedatos.formato !== 'avi' &&
              archivobasedatos.formato !== 'mkv' &&
              archivobasedatos.formato !== 'flv' &&
              archivobasedatos.formato !== 'mov' &&
              archivobasedatos.formato !== 'wmv' &&
              archivobasedatos.formato !== 'mp4'
            "
            src="../../../assets/img/archivo.png"
            width="20px"
            height="20px"
            class="mr-2 imgS"
          />
          <a
            href="https://animatiomx.com/lumi/Archivos/{{
              archivobasedatos.Nombre
            }}"
            target="_blank"
            ><label style="cursor: pointer;">{{
              archivobasedatos.Nombre.substring(18, 34)
            }}</label></a
          ><img
            (click)="eliminararchivo(archivobasedatos.idArchivos)"
            src="../../../assets/img/close-sharp.svg"
            class="pl-1 imgS"
            width="20px"
            height="20px"
          />
        </div>
      </div>
    </div>
      <ion-col size="12" class="ion-text-left mt-20">
        <ion-label color="primary">Fecha y Hora</ion-label>
      </ion-col>
      <div class="row px-3">
        <div class="col-md-6">
          <label style="font-style: italic; color: #333333;">Inicia</label
          ><br />
          <label>Fecha</label>
          <input
            class="ml-4 input form-control"
            [(ngModel)]="fechainicio"
            type="date"
            (change)="fecha()"
            style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
          /><br />
          <label class="mt-3">Hora</label>
          <input
            class="ml-4 mt-3 input form-control"
            [(ngModel)]="horainicial"
            type="time"
            (change)="fecha()"
            style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
          /><br /><br />
          <label *ngIf="fechayhorainicial !== ''">{{
            fechayhorainicial
          }}</label>
          <label
            *ngIf="fechayhorainicial === ''"
            class="invalid-feedback d-block" style="color: red;"
            >Debes escoger una fecha o hora mayor a la actual</label
          >
        </div>
        <div class="col-md-6">
          <label style="font-style: italic; color: #333333;"
            >Termina</label
          ><br />
          <label> Fecha</label>
          <input
            class="ml-4 input form-control"
            [(ngModel)]="fechafinal"
            type="date"
            (change)="fecha1()"
            style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
          /><br />
          <label class="mt-3">Hora</label>
          <input
            class="ml-4 mt-3 input form-control"
            [(ngModel)]="horafinal"
            type="time"
            (change)="fecha1()"
           style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
          /><br /><br />
          <label *ngIf="fechayhorafinal !== ''">{{
            fechayhorafinal
          }}</label>
          <label
            *ngIf="fechayhorafinal === ''"
            class="invalid-feedback d-block" style="color: red;"
            >Debes escoger una fecha o hora mayor a la fecha de
            inicio</label
          >
        </div>
      </div>

      <ion-col size="12" class="ion-text-left mt-20">
        <ion-label color="primary">Recordatorio</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3">
        <ion-select okText="Aceptar" cancelText="Cancelar" placeholder="Selecciona una opción" [(ngModel)]="idrecordatorio">
          <ion-select-option selected *ngFor="let recor of recordatorioinfO" value="{{ recor.idRecordatorios }}">{{recor.Tiempo}}</ion-select-option>
        </ion-select>
      </ion-col>
    </ion-row>

    <ion-row class="ion-margin-bottom mt-20">
      <ion-col size="12" class="ion-text-center">
        <ion-button [disabled]=" idSucuObraM === '' || Motivo === '' || fechainicio === '' || horainicial === '' || fechafinal === '' || horafinal === '' || idrecordatorio === '' || fechayhorafinal === '' || fechayhorainicial === '' " color="primary" (click)="editarcita()">
          <ion-icon name="paper-plane-sharp" class="mr-2"></ion-icon>
        MODIFICAR
        </ion-button>
      </ion-col>
    </ion-row>

</ion-content>
